Changeset 991 for branches


Ignore:
Timestamp:
Mar 25, 2007 9:47:48 PM (13 years ago)
Author:
ladanyi
Message:

updated the configure script to the latest BuildTools?

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Clp/configure

    r932 r991  
    50645064
    50655065
    5066 unset ac_cv_file__________libtool
    5067 unset ac_cv_file_______libtool
    5068 unset ac_cv_file____libtool
    5069 
    50705066LIBTOOL=
    5071 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5072 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5073 if test "${ac_cv_file____libtool+set}" = set; then
    5074   echo $ECHO_N "(cached) $ECHO_C" >&6
    5075 else
    5076   test "$cross_compiling" = yes &&
    5077   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5078 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5079    { (exit 1); exit 1; }; }
    5080 if test -r "../libtool"; then
    5081   ac_cv_file____libtool=yes
    5082 else
    5083   ac_cv_file____libtool=no
    5084 fi
    5085 fi
    5086 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5087 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5088 if test $ac_cv_file____libtool = yes; then
     5067if test -r ../libtool; then
    50895068  coin_config_dir=..
    5090                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5091 fi
    5092 
     5069  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5070fi
    50935071if test "x$LIBTOOL" = x; then
    5094   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5095 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5096 if test "${ac_cv_file_______libtool+set}" = set; then
    5097   echo $ECHO_N "(cached) $ECHO_C" >&6
    5098 else
    5099   test "$cross_compiling" = yes &&
    5100   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5101 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5102    { (exit 1); exit 1; }; }
    5103 if test -r "../../libtool"; then
    5104   ac_cv_file_______libtool=yes
    5105 else
    5106   ac_cv_file_______libtool=no
    5107 fi
    5108 fi
    5109 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5110 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5111 if test $ac_cv_file_______libtool = yes; then
    5112   coin_config_dir=../..
    5113                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5114 fi
    5115 
    5116 fi
    5117 # if test "x$LIBTOOL" = x; then
    5118 #   AC_CHECK_FILE([../../../libtool],
    5119 #                 [coin_config_dir=../../..
    5120 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5121 # fi
     5072  if test -r ../../libtool; then
     5073    coin_config_dir=../..
     5074    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5075  fi
     5076fi
    51225077
    51235078if test "x$LIBTOOL" = x; then
     
    56725627*-*-irix6*)
    56735628  # Find out which ABI we are using.
    5674   echo '#line 5674 "configure"' > conftest.$ac_ext
     5629  echo '#line 5629 "configure"' > conftest.$ac_ext
    56755630  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56765631  (eval $ac_compile) 2>&5
     
    68066761
    68076762# Provide some information about the compiler.
    6808 echo "$as_me:6808:" \
     6763echo "$as_me:6763:" \
    68096764     "checking for Fortran 77 compiler version" >&5
    68106765ac_compiler=`set X $ac_compile; echo $2`
     
    78737828   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78747829   -e 's:$: $lt_compiler_flag:'`
    7875    (eval echo "\"\$as_me:7875: $lt_compile\"" >&5)
     7830   (eval echo "\"\$as_me:7830: $lt_compile\"" >&5)
    78767831   (eval "$lt_compile" 2>conftest.err)
    78777832   ac_status=$?
    78787833   cat conftest.err >&5
    7879    echo "$as_me:7879: \$? = $ac_status" >&5
     7834   echo "$as_me:7834: \$? = $ac_status" >&5
    78807835   if (exit $ac_status) && test -s "$ac_outfile"; then
    78817836     # The compiler can only warn and ignore the option if not recognized
     
    81418096   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81428097   -e 's:$: $lt_compiler_flag:'`
    8143    (eval echo "\"\$as_me:8143: $lt_compile\"" >&5)
     8098   (eval echo "\"\$as_me:8098: $lt_compile\"" >&5)
    81448099   (eval "$lt_compile" 2>conftest.err)
    81458100   ac_status=$?
    81468101   cat conftest.err >&5
    8147    echo "$as_me:8147: \$? = $ac_status" >&5
     8102   echo "$as_me:8102: \$? = $ac_status" >&5
    81488103   if (exit $ac_status) && test -s "$ac_outfile"; then
    81498104     # The compiler can only warn and ignore the option if not recognized
     
    82458200   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82468201   -e 's:$: $lt_compiler_flag:'`
    8247    (eval echo "\"\$as_me:8247: $lt_compile\"" >&5)
     8202   (eval echo "\"\$as_me:8202: $lt_compile\"" >&5)
    82488203   (eval "$lt_compile" 2>out/conftest.err)
    82498204   ac_status=$?
    82508205   cat out/conftest.err >&5
    8251    echo "$as_me:8251: \$? = $ac_status" >&5
     8206   echo "$as_me:8206: \$? = $ac_status" >&5
    82528207   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82538208   then
     
    1059010545  lt_status=$lt_dlunknown
    1059110546  cat > conftest.$ac_ext <<EOF
    10592 #line 10592 "configure"
     10547#line 10547 "configure"
    1059310548#include "confdefs.h"
    1059410549
     
    1069010645  lt_status=$lt_dlunknown
    1069110646  cat > conftest.$ac_ext <<EOF
    10692 #line 10692 "configure"
     10647#line 10647 "configure"
    1069310648#include "confdefs.h"
    1069410649
     
    1303412989   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303512990   -e 's:$: $lt_compiler_flag:'`
    13036    (eval echo "\"\$as_me:13036: $lt_compile\"" >&5)
     12991   (eval echo "\"\$as_me:12991: $lt_compile\"" >&5)
    1303712992   (eval "$lt_compile" 2>conftest.err)
    1303812993   ac_status=$?
    1303912994   cat conftest.err >&5
    13040    echo "$as_me:13040: \$? = $ac_status" >&5
     12995   echo "$as_me:12995: \$? = $ac_status" >&5
    1304112996   if (exit $ac_status) && test -s "$ac_outfile"; then
    1304212997     # The compiler can only warn and ignore the option if not recognized
     
    1313813093   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313913094   -e 's:$: $lt_compiler_flag:'`
    13140    (eval echo "\"\$as_me:13140: $lt_compile\"" >&5)
     13095   (eval echo "\"\$as_me:13095: $lt_compile\"" >&5)
    1314113096   (eval "$lt_compile" 2>out/conftest.err)
    1314213097   ac_status=$?
    1314313098   cat out/conftest.err >&5
    13144    echo "$as_me:13144: \$? = $ac_status" >&5
     13099   echo "$as_me:13099: \$? = $ac_status" >&5
    1314513100   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1314613101   then
     
    1470814663   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470914664   -e 's:$: $lt_compiler_flag:'`
    14710    (eval echo "\"\$as_me:14710: $lt_compile\"" >&5)
     14665   (eval echo "\"\$as_me:14665: $lt_compile\"" >&5)
    1471114666   (eval "$lt_compile" 2>conftest.err)
    1471214667   ac_status=$?
    1471314668   cat conftest.err >&5
    14714    echo "$as_me:14714: \$? = $ac_status" >&5
     14669   echo "$as_me:14669: \$? = $ac_status" >&5
    1471514670   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471614671     # The compiler can only warn and ignore the option if not recognized
     
    1481214767   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481314768   -e 's:$: $lt_compiler_flag:'`
    14814    (eval echo "\"\$as_me:14814: $lt_compile\"" >&5)
     14769   (eval echo "\"\$as_me:14769: $lt_compile\"" >&5)
    1481514770   (eval "$lt_compile" 2>out/conftest.err)
    1481614771   ac_status=$?
    1481714772   cat out/conftest.err >&5
    14818    echo "$as_me:14818: \$? = $ac_status" >&5
     14773   echo "$as_me:14773: \$? = $ac_status" >&5
    1481914774   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1482014775   then
     
    1701916974   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1702016975   -e 's:$: $lt_compiler_flag:'`
    17021    (eval echo "\"\$as_me:17021: $lt_compile\"" >&5)
     16976   (eval echo "\"\$as_me:16976: $lt_compile\"" >&5)
    1702216977   (eval "$lt_compile" 2>conftest.err)
    1702316978   ac_status=$?
    1702416979   cat conftest.err >&5
    17025    echo "$as_me:17025: \$? = $ac_status" >&5
     16980   echo "$as_me:16980: \$? = $ac_status" >&5
    1702616981   if (exit $ac_status) && test -s "$ac_outfile"; then
    1702716982     # The compiler can only warn and ignore the option if not recognized
     
    1728717242   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728817243   -e 's:$: $lt_compiler_flag:'`
    17289    (eval echo "\"\$as_me:17289: $lt_compile\"" >&5)
     17244   (eval echo "\"\$as_me:17244: $lt_compile\"" >&5)
    1729017245   (eval "$lt_compile" 2>conftest.err)
    1729117246   ac_status=$?
    1729217247   cat conftest.err >&5
    17293    echo "$as_me:17293: \$? = $ac_status" >&5
     17248   echo "$as_me:17248: \$? = $ac_status" >&5
    1729417249   if (exit $ac_status) && test -s "$ac_outfile"; then
    1729517250     # The compiler can only warn and ignore the option if not recognized
     
    1739117346   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1739217347   -e 's:$: $lt_compiler_flag:'`
    17393    (eval echo "\"\$as_me:17393: $lt_compile\"" >&5)
     17348   (eval echo "\"\$as_me:17348: $lt_compile\"" >&5)
    1739417349   (eval "$lt_compile" 2>out/conftest.err)
    1739517350   ac_status=$?
    1739617351   cat out/conftest.err >&5
    17397    echo "$as_me:17397: \$? = $ac_status" >&5
     17352   echo "$as_me:17352: \$? = $ac_status" >&5
    1739817353   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739917354   then
     
    2010520060
    2010620061  case $build in
     20062    *x86_64-*)
     20063# Here we need to check if -m32 is specified.  If so, we need to correct sys_lib_search_path_spec
     20064      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     20065        { echo "$as_me:$LINENO: Applying patches to libtool for 32bit compilation" >&5
     20066echo "$as_me: Applying patches to libtool for 32bit compilation" >&6;}
     20067        sed -e 's|sys_lib_search_path_spec=".*"|sys_lib_search_path_spec="/lib /usr/lib"|' libtool > conftest.bla
     20068        mv conftest.bla libtool
     20069        chmod 755 libtool
     20070      fi
     20071      ;;
    2010720072    *-cygwin* | *-mingw*)
    2010820073    case "$CXX" in
Note: See TracChangeset for help on using the changeset viewer.